#-------------------------------------------------
#
# Project created by QtCreator 2011-10-10T18:47:21
#
#-------------------------------------------------

QT       += core gui

TEMPLATE = app
VERSION = 3.0.0

CONFIG(debug, debug|release) {
    DESTDIR = debug
    TARGET = AU2011
} else {
    DESTDIR = release
    TARGET = AU2011
}



OBJECTS_DIR = obj
MOC_DIR = moc

INCLUDEPATH += qserialdevice
unix:INCLUDEPATH += qserialdevice/unix
win:INCLUDEPATH += qserialdevice/win



HEADERS  += AU2011_mainwindow.h \
    qserialdevice/nativeserialnotifier.h \
    qserialdevice/nativeserialengine.h \
    qserialdevice/nativeserialengine_p.h \
    qserialdevice/abstractserialnotifier.h \
    qserialdevice/abstractserialengine.h \
    qserialdevice/abstractserialengine_p.h \
    qserialdevice/abstractserial.h \
    qserialdevice/abstractserial_p.h \
    qserialdevice/qserialdevice_global.h

unix {
    HEADERS += qserialdevice/unix/ttylocker.h \
        qserialdevice/unix/qcore_unix_p.h
}


SOURCES += main.cpp\
    AU2011_mainwindow.cpp \
    qserialdevice/nativeserialengine.cpp \
    qserialdevice/abstractserialnotifier.cpp \
    qserialdevice/abstractserialengine.cpp \
    qserialdevice/abstractserial.cpp


unix {
    SOURCES += \
        qserialdevice/unix/nativeserialnotifier_unix.cpp \
        qserialdevice/unix/nativeserialengine_unix.cpp \
        qserialdevice/unix/ttylocker.cpp
}

win32 {
    SOURCES += \
        qserialdevice/win/nativeserialnotifier_win.cpp \
        qserialdevice/win/nativeserialengine_win.cpp
}


macx: FORMS    += mac_ui/AU2011_mainwindow.ui
win32: FORMS    += win_ui/AU2011_mainwindow.ui
unix:!macx: FORMS    += linux_ui/AU2011_mainwindow.ui

TRANSLATIONS += AU2011_fr.ts\
                AU2011_de.ts\
                AU2011_es.ts


RESOURCES += \
    AU2011_Projet.qrc

# application icons
macx: ICON = mac_app_icon/AU2011_icon.icns
win32: RC_FILE = win_exe_icon/AU2011.rc
#unix:!macx:   to do for linux






